{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
	<div class="row clearfix">
		<h4 align="center">{{user.nombre}} {{user.apellidos}}</h4>
		<div>
          {% if msg %} <font color="#FF0000">{{ msg }}</font> {% endif %}
        </div>
		<div class="col-md-3"></div>
		<div class="col-md-3">
			<strong>{% blocktrans %}Name{% endblocktrans %}</strong><br />
			<ul>
				{{user.nombre}} {{user.apellidos}}
			</ul>
			<strong>{% blocktrans %}DNI{% endblocktrans %}</strong><br />
			<ul>
				{{user.dni}}
			</ul>
			<strong>{% blocktrans %}Email{% endblocktrans %}</strong><br />
			<ul>
				{{user.email}}
			</ul>
		</div>
		<div class="col-md-3">
		    <strong>{% blocktrans %}Group{% endblocktrans %}</strong><br />
		    <ul>
		    	{{user.grupo.nombre}}
		    </ul>
		    <strong>{% blocktrans %}Permissions{% endblocktrans %}</strong><br />
		    <ul>
		    	{% for tipo_permiso in tipo_permisos %}
		    	{{tipo_permiso.permiso.nombre}}<br />
		    	{% endfor %}
		    </ul>
		</div>
	</div>
	<div align="center" class="row clearfix">
		<a data-toggle="modal" data-target="#ModalProfileEdit" href="#">{% blocktrans %}Edit your profile{% endblocktrans %}</a>
	</div>

    <!-- Modal -->
    <form method="post">{% csrf_token %}
	    <div class="modal fade" id="ModalProfileEdit" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
	      <div class="modal-dialog">
	        <div class="modal-content">
	          <div class="modal-header">
	            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	            <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Edit Profile{% endblocktrans %}</h4>
	          </div>
	          <div class="modal-body">
	                <div class="row clearfix">
	                	<div class="col-md-6 column">
							<label>{% blocktrans %}Name{% endblocktrans %}</label> <input type="text" value="{{user.nombre}}" placeholder="{% blocktrans %}Type your name{% endblocktrans %}" class="form-control" name="profile_nombre" autocomplete="off" required>
				    		<label>{% blocktrans %}Lastname{% endblocktrans %}</label> <input type="text" value="{{user.apellidos}}" placeholder="{% blocktrans %}Type your lastname{% endblocktrans %}" class="form-control" name="profile_apellidos" autocomplete="off" required>
				    		<label>{% blocktrans %}Email{% endblocktrans %}</label> <input type="email" value="{{user.email}}" placeholder="{% blocktrans %}Type your email{% endblocktrans %}" class="form-control" name="profile_email" autocomplete="off" required>
				    		<label>{% blocktrans %}DNI{% endblocktrans %}</label> <input type="text" value="{{user.dni}}" placeholder="{% blocktrans %}Type your dni{% endblocktrans %}" class="form-control" name="profile_dni" autocomplete="off" pattern="[0-9]{8}[a-z|A-Z]" required>
	                	</div>
				    	<div class="col-md-6 column">
				    		<label>{% blocktrans %}Old password{% endblocktrans %}:</label> <input type="password" value="" placeholder="{% blocktrans %}Type your old password{% endblocktrans %}" class="form-control" name="profile_old_pass" autocomplete="off">
				    		<label>{% blocktrans %}New password{% endblocktrans %}:</label> <input type="password" value="" placeholder="{% blocktrans %}Type your new password{% endblocktrans %}" class="form-control" name="profile_pass1" autocomplete="off">
				    		<label>{% blocktrans %}Verify new password{% endblocktrans %}:</label> <input type="password" value="" placeholder="{% blocktrans %}Repeat your new password{% endblocktrans %}" class="form-control" name="profile_pass2" autocomplete="off">
				    	</div>
				    </div>
	          </div>
	          <div class="modal-footer">
	            <button type="submit" class="btn btn-primary" name="profile_accept">{% blocktrans %}Edit{% endblocktrans %}</button>
	          </div>
	        </div>
	      </div>
	    </div>
    </form>
{% endblock %}